using System.ComponentModel.DataAnnotations;

namespace Modules.User.WebApi.Models;

public class LoginModel
{
    [Required(ErrorMessage = "Username is required.")]
    public string Login { get; set; } = default!;
    [Required(ErrorMessage = "Password is required.")]
    [DataType(DataType.Password)]
    public string Password { get; set; } = default!;

    public string? Ip { get; set; }
}
